---
sidebar_position: 3
description: Form connection parameters and other functions to work with RCON in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, RCON]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Form connection parameters
 Forms a collection of connection parameters



`Function FormConnectionParameters(Val URL, Val Password, Val ReadTimeout = 30, Val WriteTimeout = 30) Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | Server URL |
  | Password | --pass | String | &#x2714; | Password for connection |
  | ReadTimeout | --rtout | Number | &#x2716; | Response timeout (in seconds) |
  | WriteTimeout | --wtout | Number | &#x2716; | Request sending timeout (in seconds) |

  
  Returns:  Structure Of KeyAndValue - Structure of connection parameters



```bsl title="1C:Enterprise/OneScript code example"
    URL          = "127.0.0.1:25565";
    Password     = "12We...";
    WriteTimeout = 20;
    ReadTimeout  = 20;

    Result = OPI_RCON.FormConnectionParameters(URL, Password, ReadTimeout, WriteTimeout);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint rcon FormConnectionParameters \
             --url "127.0.0.1:25575" \
             --pass "***" \
             --rtout 20 \
             --wtout 20
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint rcon FormConnectionParameters ^
             --url "127.0.0.1:25575" ^
             --pass "***" ^
             --rtout 20 ^
             --wtout 20
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "url": "127.0.0.1:25565",
 "password": "***",
 "read_timeout": 20,
 "write_timeout": 20
}
```
